## org.eclipse.datatools.connectivity.oda.consumer.helper
Class OdaDataSetMetaData

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.helper.OdaObject
          org.eclipse.datatools.connectivity.oda.consumer.helper.OdaDriverObject
              org.eclipse.datatools.connectivity.oda.consumer.helper.OdaDataSetMetaData

All Implemented Interfaces:
  IDataSetMetaData

public class OdaDataSetMetaData
extends org.eclipse.datatools.connectivity.oda.consumer.helper.OdaDriverObject
implements IDataSetMetaData

OdaDataSetMetaData is the Oda wrapper for data set metadata.

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.oda.IDataSetMetaData
`sortModeColumnOrder, sortModeNone, sortModeSingleColumn, sortModeSingleOrder, sqlStateSQL99, sqlStateXOpen`

Method Summary
`java.lang.Object` `findAndInvokeMethod(java.lang.String methodName, java.lang.Class[] parameterTypes, java.lang.Object[] args)`
`IConnection` `getConnection()` Returns the connection that produced this metadata object.
`int` `getDataSourceMajorVersion()` Returns the major version number of the underlying data provider.
`int` `getDataSourceMinorVersion()` Returns the minor version number of the underlying data provider.
`IResultSet` `getDataSourceObjects(java.lang.String catalog, java.lang.String schema, java.lang.String object, java.lang.String version)` Returns the collection of objects found in a data provider's catalog.
`java.lang.String` `getDataSourceProductName()` Returns the name of this data provider product.
`java.lang.String` `getDataSourceProductVersion()` Returns the version of this data provider product as a `String`.
`int` `getSortMode()` Returns the dynamic sorting mode supported by this data set type.
`int` `getSQLStateType()` Indicates whether the SQLSTATE returned by `OdaException.getSQLState()` is X/Open SQL CLI or SQL99.
`static void` `setThrowAndSetOdaException()`
`boolean` `supportsInParameters()` Indicates whether this data set type supports input parameters in `IQuery`.
`boolean` `supportsMultipleOpenResults()` Indicates whether this data set type supports getting multiple `IResultSet` objects simultaneously, in its `IAdvancedQuery` implementation.
`boolean` `supportsMultipleResultSets()` Indicates whether this data set type supports getting multiple `IResultSet` objects (sequentially or simultaneously), in its `IAdvancedQuery` implementation.
`boolean` `supportsNamedParameters()` Indicates whether this data set type supports named parameters in `IQuery`.
`boolean` `supportsNamedResultSets()` Indicates whether this data set type supports getting one or more `IResultSet` objects by name, in its `IAdvancedQuery` implementation.
`boolean` `supportsOutParameters()` Indicates whether this data set type supports output parameters in its `IAdvancedQuery` implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConnection

    public IConnection getConnection()
                              throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the connection that produced this metadata object.

  Specified by:
    `getConnection` in interface `IDataSetMetaData`
  Returns:
    the connection that produced this metadata object.
  Throws:
    `OdaException` - if data source error occurs.

### getDataSourceObjects

    public IResultSet getDataSourceObjects(java.lang.String catalog,
                                           java.lang.String schema,
                                           java.lang.String object,
                                           java.lang.String version)
                                    throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the collection of objects found in a data provider's catalog. Valid arguments to this method are implementation-dependent.
  An optional method.

  Specified by:
    `getDataSourceObjects` in interface `IDataSetMetaData`
  Parameters:
    `catalog` - data provider's catalog.
    `schema` - search pattern for the data provider's schema or owner name; could be left empty if not applicable to the connected data provider.
    `object` - search pattern for the data provider's object name.
    `version` - data provider's objects version.
  Returns:
    an IResultSet object describing the data provider's objects.
  Throws:
    `OdaException` - if data source error occurs.

### getDataSourceMajorVersion

    public int getDataSourceMajorVersion()
                                  throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the major version number of the underlying data provider.

  Specified by:
    `getDataSourceMajorVersion` in interface `IDataSetMetaData`
  Returns:
    the major version number.
  Throws:
    `OdaException` - if data source error occurs.

### getDataSourceMinorVersion

    public int getDataSourceMinorVersion()
                                  throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the minor version number of the underlying data provider.

  Specified by:
    `getDataSourceMinorVersion` in interface `IDataSetMetaData`
  Returns:
    the minor version number.
  Throws:
    `OdaException` - if data source error occurs.

### getDataSourceProductName

    public java.lang.String getDataSourceProductName()
                                              throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the name of this data provider product.

  Specified by:
    `getDataSourceProductName` in interface `IDataSetMetaData`
  Returns:
    data provider product name.
  Throws:
    `OdaException` - if data source error occurs.

### getDataSourceProductVersion

    public java.lang.String getDataSourceProductVersion()
                                                 throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Returns the version of this data provider product as a `String`.

  Specified by:
    `getDataSourceProductVersion` in interface `IDataSetMetaData`
  Returns:
    data provider product version.
  Throws:
    `OdaException` - if data source error occurs.

### getSQLStateType

    public int getSQLStateType()
                        throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether the SQLSTATE returned by `OdaException.getSQLState()` is X/Open SQL CLI or SQL99.
  An optional method.

  Specified by:
    `getSQLStateType` in interface `IDataSetMetaData`
  Returns:
    the type of SQLSTATE;
    one of sqlStateXOpen,
    sqlStateSQL99.
  Throws:
    `OdaException` - if data source error occurs.

### supportsMultipleOpenResults

    public boolean supportsMultipleOpenResults()
                                        throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports getting multiple `IResultSet` objects simultaneously, in its `IAdvancedQuery` implementation.

  Specified by:
    `supportsMultipleOpenResults` in interface `IDataSetMetaData`
  Returns:
    true if this data set supports getting multiple `IResultSet` objects simultaneously; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()
                                       throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports getting multiple `IResultSet` objects (sequentially or simultaneously), in its `IAdvancedQuery` implementation.

  Specified by:
    `supportsMultipleResultSets` in interface `IDataSetMetaData`
  Returns:
    true if this data set supports getting multiple `IResultSet` objects; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### supportsNamedResultSets

    public boolean supportsNamedResultSets()
                                    throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports getting one or more `IResultSet` objects by name, in its `IAdvancedQuery` implementation.

  Specified by:
    `supportsNamedResultSets` in interface `IDataSetMetaData`
  Returns:
    true if this data set supports getting one or more `IResultSet` objects by name; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### supportsNamedParameters

    public boolean supportsNamedParameters()
                                    throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports named parameters in `IQuery`.

  Specified by:
    `supportsNamedParameters` in interface `IDataSetMetaData`
  Returns:
    true if named parameters are supported; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### supportsInParameters

    public boolean supportsInParameters()
                                 throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports input parameters in `IQuery`.

  Specified by:
    `supportsInParameters` in interface `IDataSetMetaData`
  Returns:
    true if input parameters are supported; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### supportsOutParameters

    public boolean supportsOutParameters()
                                  throws OdaException

  Description copied from interface: `IDataSetMetaData`
  Indicates whether this data set type supports output parameters in its `IAdvancedQuery` implementation.

  Specified by:
    `supportsOutParameters` in interface `IDataSetMetaData`
  Returns:
    true if output parameters are supported; false otherwise.
  Throws:
    `OdaException` - if data source error occurs.

### getSortMode

    public int getSortMode()

  Description copied from interface: `IDataSetMetaData`
  Returns the dynamic sorting mode supported by this data set type.

  Specified by:
    `getSortMode` in interface `IDataSetMetaData`
  Returns:
    the dynamic sorting mode supported by the data source; one of `sortModeNone`, `sortModeSingleOrder`, `sortModeColumnOrder`, `sortModeSingleColumn`

### setThrowAndSetOdaException

    public static void setThrowAndSetOdaException()

### findAndInvokeMethod

    public java.lang.Object findAndInvokeMethod(java.lang.String methodName,
                                                java.lang.Class[] parameterTypes,
                                                java.lang.Object[] args)
                                         throws java.lang.NoSuchMethodException,
                                                java.lang.IllegalAccessException,
                                                java.lang.reflect.InvocationTargetException,
                                                OdaException

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `OdaException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.